# Created by pyp2rpm-3.3.8
%global pypi_name azure-iot-device

Name:           python-%{pypi_name}
Version:        2.12.0
Release:        %mkrel 1
Summary:        Microsoft Azure IoT Device Library
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-iot-sdk-python/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Azure IoT Device SDK for Python provides functionality for communicating
with the Azure IoT Hub for both Devices and Modules.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Thu Nov 10 2022 wally <wally> 2.12.0-1.mga9
+ Revision: 1905403
- new version 2.12.0

* Sun Sep 18 2022 wally <wally> 2.9.0-1.mga9
+ Revision: 1889805
- imported package python-azure-iot-device

